# BlockCnt Struct Reference

Collaboration diagram for BlockCnt:

[legend]

## Data Fields

struct BlockCnt * | previous
int | breaklist
lu_byte | nactvar
lu_byte | upval
lu_byte | isbreakable

## Detailed Description

Definition at line 40 of file lparser.c.

## Field Documentation

int BlockCnt::breaklist

Definition at line 42 of file lparser.c.

Referenced by block(), breakstat(), enterblock(), and leaveblock().

lu_byte BlockCnt::isbreakable

Definition at line 45 of file lparser.c.

Referenced by breakstat(), enterblock(), and leaveblock().

lu_byte BlockCnt::nactvar

Definition at line 43 of file lparser.c.

Referenced by breakstat(), enterblock(), leaveblock(), and markupval().

struct BlockCnt* BlockCnt::previous `[read]`

Definition at line 41 of file lparser.c.

Referenced by breakstat(), enterblock(), leaveblock(), and markupval().

lu_byte BlockCnt::upval

Definition at line 44 of file lparser.c.

Referenced by breakstat(), enterblock(), leaveblock(), markupval(), and repeatstat().

The documentation for this struct was generated from the following file:

- lua/lparser.c